timeouts:
  job:
    minutes: 100
  connection:
    minutes: 2
context:
  test_character_delay: 10
device_type: x86
job_name: linux-mainline-oe--ltp-quickhit-mainline-819
priority: high
visibility: public
metadata:
  git branch: mainline
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
  git commit: v5.5-rc1-12-g6794862a16ef
  git describe: v5.5-rc1-12-g6794862a16ef
  make_kernelversion: 5.4-rc8
  kernel-config: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/x86_64/x86_64_defconfig%2Blkft/gcc-8/kernel.config
  kernel-defconfig: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/819/defconfig
  build-url: http://ci.staging.lkft.org/job/kernel-arch-complete/819/
  build-location: http://storage.staging.lkft.org//mainline/master/v5.5-rc1-12-g6794862a16ef
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-quickhit-tests__url: unknown
  ltp-quickhit-tests__version: unknown
  ltp-quickhit-tests__revision: unknown
actions:
- deploy:
    namespace: target
    timeout:
      minutes: 40
    to: tftp
    kernel:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/x86_64/x86_64_defconfig%2Blkft/gcc-8/bzImage
    modules:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/x86_64/x86_64_defconfig%2Blkft/gcc-8/modules.tar.xz
      compression: xz
    nfsrootfs:
      url: http://storage.staging.lkft.org/rootfs/oe-lkft-sumo//62/rpb-console-image-lkft-intel-corei7-64-20190923201627.rootfs.tar.xz
      compression: xz
    os: oe
- boot:
    namespace: target
    auto_login:
      login_prompt: 'login:'
      username: root
      password_prompt: ''
      password: ''
      login_commands:
      - su
    prompts:
    - 'root@intel-corei7-64:'
    - root@(.*):[/~]#
    timeout:
      minutes: 15
    method: ipxe
    commands: nfs
    parameters:
      shutdown-message: 'reboot: Restarting system'
- test:
    namespace: target
    timeout:
      minutes: 5
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: Mount local disk for tmp space
        run:
          steps:
          - export STORAGE_DEV=$(lava-target-storage SATA || lava-target-storage USB)
          - test -n "${STORAGE_DEV}" || lava-test-raise "STORAGE_DEV not found; job
            exit"
          - echo "y" | mkfs -t ext4 ${STORAGE_DEV} || lava-test-raise "mkfs -t ext4
            ${STORAGE_DEV} failed; job exit"
          - mkdir -p /scratch
          - mount ${STORAGE_DEV} /scratch && echo "mounted" || lava-test-raise "mount
            ${STORAGE_DEV} failed; job exit"
          - df -h
          - mount
      name: prep-tmp-disk
      path: inline/prep.yaml
- test:
    namespace: target
    timeout:
      minutes: 45
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: quickhit
        SKIPFILE: skipfile-lkft.yaml
        BOARD: x86
        BRANCH: mainline
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-quickhit-tests
